View a markdown version of this page

ReserveContact - AWS Ground Station

ReserveContact

Reserves a contact using specified parameters.

Request Syntax

POST /contact HTTP/1.1 Content-type: application/json { "endTime": number, "groundStation": "string", "missionProfileArn": "string", "satelliteArn": "string", "startTime": number, "tags": { "string" : "string" }, "trackingOverrides": { "programTrackSettings": { ... } } }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

endTime

End time of a contact in UTC.

Type: Timestamp

Required: Yes

groundStation

Name of a ground station.

Type: String

Length Constraints: Minimum length of 4. Maximum length of 97.

Pattern: [ a-zA-Z0-9-._:=]{4,97}

Required: Yes

missionProfileArn

ARN of a mission profile.

Type: String

Length Constraints: Minimum length of 89. Maximum length of 138.

Pattern: arn:aws:groundstation:[-a-z0-9]{1,50}:[0-9]{12}:mission-profile/[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}

Required: Yes

satelliteArn

ARN of a satellite

Type: String

Length Constraints: Minimum length of 82. Maximum length of 132.

Pattern: arn:aws:groundstation:([-a-z0-9]{1,50})?:[0-9]{12}:satellite/[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}

Required: No

startTime

Start time of a contact in UTC.

Type: Timestamp

Required: Yes

tags

Tags assigned to a contact.

Type: String to string map

Required: No

trackingOverrides

Tracking configuration overrides for the contact.

Type: TrackingOverrides object

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "contactId": "string", "versionId": number }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

contactId

UUID of a contact.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}

versionId

Version ID of a contact.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 128.

Errors

For information about the errors that are common to all actions, see Common Error Types.

DependencyException

Dependency encountered an error.

parameterName

Name of the parameter that caused the exception.

HTTP Status Code: 531

InvalidParameterException

One or more parameters are not valid.

parameterName

Name of the invalid parameter.

HTTP Status Code: 431

ResourceLimitExceededException

Account limits for this resource have been exceeded.

parameterName

Name of the parameter that exceeded the resource limit.

HTTP Status Code: 429

ResourceNotFoundException

Resource was not found.

HTTP Status Code: 434

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: